> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deployment build log URL

> Get a signed URL to download a deployment's build log



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /hosting/deployments/{uuid}/build-log-url
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /hosting/deployments/{uuid}/build-log-url:
    get:
      tags:
        - Hosting - Deployments
      summary: Get deployment build log URL
      description: Get a signed URL to download a deployment's build log
      parameters:
        - in: path
          name: uuid
          schema:
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
            title: UUID
            description: Deployment identifier.
          required: true
          description: Deployment identifier.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  url:
                    type: string
                    title: URL
                    description: >-
                      Pre-signed S3 URL pointing to the deployment build log
                      file.
                required:
                  - url
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````